#include<iostream>


using namespace std;

int main(){
int a[707],b;
cin>>b;
int r[b];
for(int i=0;i<b;i++){
    cin>>r[i];
}
for(int i=0;i<707;i++){
    a[i]=(i+1)*(i+1);
}
int m;
int j=0,n=0;
bool dal;
for(int i=0;i<b;i++){
    dal=true;
    m=0;
    j=0;
    n=0;
    while(dal){
        if(a[n]>=r[i]){
            dal=false;
        }else{
            if(a[n]+a[j]==r[i]){
                m=1;
                dal=false;
            }else{
                if(a[j]>=r[i]){
                    j=0;
                    n++;
                }
            }
        }
        j++;

    }
    cout<<m;
}

return 0;
}
